<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ss.formula.WorkbookEvaluator (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ss.formula.WorkbookEvaluator (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
               title="class in org.apache.poi.ss.formula">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/class-use/WorkbookEvaluator.html"
               target="_top">Frames</a></li>
        <li><a href="WorkbookEvaluator.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ss.formula.WorkbookEvaluator" class="title">Uses of Class<br>org.apache.poi.ss.formula.WorkbookEvaluator
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.ss.formula">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                   title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> declared as <a
                                href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#Z:Z_bookEvaluator">_bookEvaluator</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> that return <a
                                href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#Z:Z_getWorkbookEvaluator--">_getWorkbookEvaluator</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookEvaluatorProvider.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluatorProvider.html#Z:Z_getWorkbookEvaluator--">_getWorkbookEvaluator</a></span>()</code>
                                <div class="block">Provide the underlying WorkbookEvaluator</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ConditionalFormattingEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/ConditionalFormattingEvaluator.html#getWorkbookEvaluator--">getWorkbookEvaluator</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.html#getWorkbookEvaluator--">getWorkbookEvaluator</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">CollaboratingWorkbooksEnvironment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html#getWorkbookEvaluator-java.lang.String-">getWorkbookEvaluator</a></span>(java.lang.String&nbsp;workbookName)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">CollaboratingWorkbooksEnvironment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html#setup-java.lang.String:A-org.apache.poi.ss.formula.WorkbookEvaluator:A-">setup</a></span>(java.lang.String[]&nbsp;workbookNames,
                                <a href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                   title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>[]&nbsp;evaluators)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Method parameters in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">CollaboratingWorkbooksEnvironment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html#setup-java.util.Map-">setup</a></span>(java.util.Map&lt;java.lang.String,<a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&gt;&nbsp;evaluatorsByName)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#BaseFormulaEvaluator-org.apache.poi.ss.formula.WorkbookEvaluator-">BaseFormulaEvaluator</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#EvaluationConditionalFormatRule-org.apache.poi.ss.formula.WorkbookEvaluator-org.apache.poi.ss.usermodel.Sheet-org.apache.poi.ss.usermodel.ConditionalFormatting-int-org.apache.poi.ss.usermodel.ConditionalFormattingRule-int-org.apache.poi.ss.util.CellRangeAddress:A-">EvaluationConditionalFormatRule</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;workbookEvaluator,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                   title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a>&nbsp;formatting,
                                int&nbsp;formattingIndex,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule,
                                int&nbsp;ruleIndex,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#OperationEvaluationContext-org.apache.poi.ss.formula.WorkbookEvaluator-org.apache.poi.ss.formula.EvaluationWorkbook-int-int-int-org.apache.poi.ss.formula.EvaluationTracker-">OperationEvaluationContext</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator,
                                <a href="../../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                   title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>&nbsp;workbook,
                                int&nbsp;sheetIndex,
                                int&nbsp;srcRowNum,
                                int&nbsp;srcColNum,
                                org.apache.poi.ss.formula.EvaluationTracker&nbsp;tracker)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/OperationEvaluationContext.html#OperationEvaluationContext-org.apache.poi.ss.formula.WorkbookEvaluator-org.apache.poi.ss.formula.EvaluationWorkbook-int-int-int-org.apache.poi.ss.formula.EvaluationTracker-boolean-">OperationEvaluationContext</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator,
                                <a href="../../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                   title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>&nbsp;workbook,
                                int&nbsp;sheetIndex,
                                int&nbsp;srcRowNum,
                                int&nbsp;srcColNum,
                                org.apache.poi.ss.formula.EvaluationTracker&nbsp;tracker,
                                boolean&nbsp;isSingleValue)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                   title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html#BaseXSSFFormulaEvaluator-org.apache.poi.ss.formula.WorkbookEvaluator-">BaseXSSFFormulaEvaluator</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html#XSSFFormulaEvaluator-org.apache.poi.xssf.usermodel.XSSFWorkbook-org.apache.poi.ss.formula.WorkbookEvaluator-">XSSFFormulaEvaluator</a></span>(<a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                   title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
               title="class in org.apache.poi.ss.formula">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/class-use/WorkbookEvaluator.html"
               target="_top">Frames</a></li>
        <li><a href="WorkbookEvaluator.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
